Subject: menu delays

From: Kent Howard <[email-masked]>
Date: Mon, 21 Dec 1998 12:47:19 -0800

My current version of FVWM is up to date with CVS as of this
morning.  I wondering if someone could verify a problem that I'm
having.

Add the following menu to your config

AddToMenu test "window list" WindowList

and bind it to a button

Mouse 3 R A Popup test

Then try clicking that mouse button in the root menu and release
the button before about a half second.  The WindowList will not
appear.  There seems to be a minimum amount of time that the menu
has to be mapped before any of the elements will do anything.  My
root menu is setup so that I can do things really quickly, but
version 2.1.x has this delay.  Is this something that was
intended or a bug?

Thanks,
- Kent
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Dan Espen <[email-masked]>
Date: Mon, 21 Dec 1998 16:38:56 -0500

> version 2.1.x has this delay.  Is this something that was

Now that I can reproduce this, it looks like  more of a feature than a
problem.

I assume  the reason you  have "WindowList" in  a menu, rather than on
Mouse 3 as a command,  is you have  other things in  the menu that you
can  get to  thru mouse  motion,  but a  simple  click/release is  for
WindowList.

If thats the case,  I would guess that  you wouldn't try this when the
pointer is near the bottom of the screen?

It doesn't look to  me like  "ClickTime"  or "SetMenuDelay"  help with
this.  Maybe someone that  knows the new menu  code better  has deeper
insight.

--
Dan Espen                                Phone: (732) 699-5570
444 Hoes Lane  Room RRC 1C-214           E-mail: [email-masked]
Piscataway, NJ 08854
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Dominik Vogt <[email-masked]>
Date: Tue, 22 Dec 1998 02:43:54 +0100

> this.  Maybe someone that  knows the new menu  code better  has deeper

Sorry, I take everything back. I can see it too. At the beginning
of menus.c (MenuInteraction) there's a line:

      usleep(MICRO_S_FOR_10MS);

with MICRO_S_FOR_10MS defines as:

      #define MICRO_S_FOR_10MS 10000

This looks right to me but obviously it does not work
as expected. Ore are we doing so much unnecessary stuff
above that?

Bye

Dominik
-- 
Dominik Vogt, [email-masked]
Reply-To: [email-masked]

---

From: Dominik Vogt <[email-masked]>
Date: Tue, 22 Dec 1998 02:21:56 +0100

> this.  Maybe someone that  knows the new menu  code better  has deeper

This is moot since there will be no more SetMenuDelay command when I've
checked in. It's a menu style now (PopupDelay).

Bye

Dominik

---

From: Kent Howard <[email-masked]>
Date: Mon, 21 Dec 1998 18:04:18 -0800

On Mon, Dec 21, 1998 at 04:38:56PM -0500, Dan Espen wrote:
+----------
| Kent Howard <[email-masked]> writes:
| > My current version of FVWM is up to date with CVS as of this
| > morning.  I wondering if someone could verify a problem that I'm
| > having.
| > 
| > Add the following menu to your config
| > 
| > AddToMenu test "window list" WindowList
| > 
| > and bind it to a button
| > 
| > Mouse 3 R A Popup test
| > 
| > Then try clicking that mouse button in the root menu and release
| > the button before about a half second.  The WindowList will not
| > appear.  There seems to be a minimum amount of time that the menu
| > has to be mapped before any of the elements will do anything.  My
| > root menu is setup so that I can do things really quickly, but
| > version 2.1.x has this delay.  Is this something that was
| > intended or a bug?
| 
| Now that I can reproduce this, it looks like  more of a feature than a
| problem.
| 
| I assume  the reason you  have "WindowList" in  a menu, rather than on
| Mouse 3 as a command,  is you have  other things in  the menu that you
| can  get to  thru mouse  motion,  but a  simple  click/release is  for
| WindowList.
+----------

Exactly.

The delay also causes problems when I'm selecting an item very
close to the top of the menu.  My first menu item is WindowList
and the second is rxvt.  Very often I have to slowly reselect
rxvt because I did it too fast the first time.

+----------
| If thats the case, I would guess that you wouldn't try this when
| the pointer is near the bottom of the screen?
+----------

That works too because the mouse is warped to the top of the menu.

Thanks for verifying the behavior.  I was confused because this
"feature" showed up in the 2.1.x series.  It is not there in
2.0.46.  Now the question is... is this a "feature" or a bug?

Thanks,
- Kent